## isc-dhcp 4.3.1

=== debian/changelog ===
isc-dhcp (4.3.1-6+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2016-2774
    Limit number of simultaneous open TCP connections to OMAPI port of
    the server in order to avoid a denial of service.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 23 Nov 2019 19:03:02 +0100

isc-dhcp (4.3.1-6+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Plugs a socket descriptor leak in OMAPI (CVE-2017-3144) (Closes: #887413)
  * Corrected refcnt loss in option parsing (CVE-2018-5733) (Closes: #891785)
  * Correct buffer overrun in pretty_print_option (CVE-2018-5732)
    (Closes: #891786)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 04 Mar 2018 11:20:38 +0100

isc-dhcp (4.3.1-6+deb8u2) jessie-security; urgency=high

  * Fix CVE-2015-8605: maliciously crafted IPv4 packet can cause any of the
    running DHCP applications (server, client, or relay) to crash.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Jan 2016 20:57:22 +0000

isc-dhcp (4.3.1-6+deb8u1) jessie; urgency=medium

  [ Michael Gilbert ]
  * Fix error when max lease time is used on 64-bit systems (closes: #795227).

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 08 Oct 2015 11:54:59 +0000

isc-dhcp (4.3.1-6) unstable; urgency=medium

  * Fix a regression in error handling for the server's init script
    (closes: #775834).
    - Thanks to François-Régis Vuillemin.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 13 Feb 2015 05:13:19 +0000

isc-dhcp (4.3.1-5) unstable; urgency=medium

  * Dynamically link against system bind libraries.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 16 Oct 2014 01:28:44 +0000

isc-dhcp (4.3.1-4) unstable; urgency=medium

  * Bump standards to 3.9.6.
  * Correct netmask handling in dhclient-script.linux.udeb (closes: #759761).
  * Fix missing alias_subnet_mask in dhclient-script.linux (closes: #691091).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Oct 2014 22:10:15 +0000

isc-dhcp (4.3.1-3) unstable; urgency=medium

  * Ignore arguments passed to sourced scripts (closes: #763208).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Sep 2014 21:00:36 +0000

isc-dhcp (4.3.1-2) unstable; urgency=medium

  * Use /bin/sh instead of /bin/bash for dhclient scripts (closes: #762923).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Sep 2014 21:57:28 +0000

isc-dhcp (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Avoid divide by zero issue (closes: #694650).
  * Correct typo in dhclient-script.linux (closes: #748272).
  * Ensure dhcpd.leases exists for the server init script (closes: #720860).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 13 Aug 2014 23:36:21 +0000

isc-dhcp (4.3.1~b1-1) experimental; urgency=medium

  * New upstream beta release.
  * Add debian/README.source.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 19 Jul 2014 22:06:23 +0000

isc-dhcp (4.3.0+dfsg-2) unstable; urgency=medium

  * Ship dhcp-lease-list (closes: #741488).
  * Fix lease removal in postrm (closes: #724033).
  * Add upstream public signing key for uscan verification.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 09 Jun 2014 01:07:09 +0000

isc-dhcp (4.3.0+dfsg-1) unstable; urgency=medium

  * New upstream stable release.
  * Update debian/copyright to format 1.0.
  * Depend on iproute2 instead of iproute (closes: #742151).
  * Depend on freebsd-net-tools for kfreebsd (closes: #738934).
  * Acknowledge and apply the non-maintainer upload (closes: #747017).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 May 2014 21:54:01 +0000

isc-dhcp (4.3.0a1-2.1) experimental; urgency=medium

  * Non-Maintainer Upload
  * rules: Fix bind patching.
  * bind-patches/hurd: Add upstream patch to fix Hurd build.
  * rules: Select proper backends in the Hurd case.
  * dhclient-script.hurd, dhclient-script.hurd.udeb,
    rfc3442-classless-routes.hurd: Add Hurd scripts.
  * Closes: #616290.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Apr 2014 22:14:44 +0200

isc-dhcp (4.3.0a1-2) experimental; urgency=medium

  * Remove unused template.
  * Remove unnecessary breaks.
  * Fix version control fields.
  * Escape hyphens in manpages.
  * Enable all build hardening flags.
  * Fix init functions lintian warning.
  * Create the /var/lib/dhcp directory (closes: #734773).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 10 Jan 2014 04:00:42 +0000

isc-dhcp (4.3.0a1-1) experimental; urgency=medium

  * New upstream release.
  * Use debhelper 9 and and simplified debian rules.
  * Use a single package for debugging symbols.
  * Bump standards to 3.9.5.
  * Update watch file.
  * Use dh-autoreconf.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 21 Dec 2013 22:04:30 +0000

=== debian/control ===
Source: isc-dhcp
Section: net
Priority: important
Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>
Vcs-Git: git://anonscm.debian.org/pkg-dhcp/isc-dhcp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-dhcp/isc-dhcp.git;a=summary
Homepage: http://www.isc.org
Build-Depends:
 groff,
 pkg-config,
 po-debconf,
 libssl-dev,
 libldap2-dev,
 libbind-export-dev (>= 1:9.9.5.dfsg-4.3),
 dh-autoreconf,
 debhelper (>= 9),
 dpkg-dev (>= 1.13.2),
Standards-Version: 3.9.6

Package: isc-dhcp-server
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 lsb-base,
Conflicts:
 dhcp,
Suggests:
 isc-dhcp-server-ldap,
Description: ISC DHCP server for automatic IP address assignment
 This is the Internet Software Consortium's DHCP server.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This server can handle multiple ethernet interfaces.

Package: isc-dhcp-server-dbg
Section: oldlibs
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 isc-dhcp-dbg (= ${binary:Version}),
Description: ISC DHCP server for automatic IP address assignment (server debug)
 This is the server from the Internet Software Consortium's implementation of
 DHCP.
 .
 This is a transitional package that can be safely removed. 

Package: isc-dhcp-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 lsb-base,
Replaces:
 isc-dhcp-client-dbg (<< 4.3.0a1),
 isc-dhcp-server-dbg (<< 4.3.0a1),
 isc-dhcp-relay-dbg (<< 4.3.0a1),
Description: ISC DHCP server for automatic IP address assignment (debuging symbols)
 This are debugging symbols for the Internet Software Consortium's DHCP tools.
 .
 This package contains the debugging symbols for isc-dhcp.

Package: isc-dhcp-server-ldap
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 isc-dhcp-server (= ${binary:Version}),
Conflicts:
 dhcp,
Description: DHCP server that uses LDAP as its backend
 This is the server from the Internet Software Consortium's implementation of
 DHCP.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This is the DHCP server with LDAP patches applied to it.

Package: isc-dhcp-common
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
Description: common files used by all of the isc-dhcp packages
 This package includes all of the files that are used in common by the various
 ISC DHCP packages, such as the dhcp-eval and dhcp-options manpages and the
 OMAPI command shell.

Package: isc-dhcp-dev
Priority: optional
Architecture: any
Section: devel
Depends:
 ${misc:Depends},
 libc6-dev,
Description: API for accessing and modifying the DHCP server and client state
 This package provides support for OMAPI (Object Management Application
 Programming Interface), which is an API for accessing and modifying the DHCP
 server and client state.

Package: isc-dhcp-client
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 iproute2 [linux-any] | freebsd-net-tools [kfreebsd-any],
Suggests:
 resolvconf,
 avahi-autoipd
Provides:
 dhcp-client,
Description: DHCP client for automatically obtaining an IP address
 This is the Internet Software Consortium's DHCP client. 
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-dbg
Section: oldlibs
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 isc-dhcp-dbg (= ${binary:Version}),
Description: ISC DHCP server for automatic IP address assignment (client debug)
 This is the client from the Internet Software Consortium's implementation of
 DHCP.
 .
 This is a transitional package that can be safely removed. 

Package: isc-dhcp-client-udeb
Priority: extra
Architecture: any
Section: debian-installer
Depends:
 ${shlibs:Depends},
Package-Type: udeb
Description: ISC DHCP Client for debian-installer

Package: isc-dhcp-relay
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
Conflicts:
 dhcp-relay,
Description: ISC DHCP relay daemon
 This is the Internet Software Consortium's DHCP relay.
 .
 Installing this package will make the machine a DHCP relay, which
 requires a reachable DHCP or BOOTP server in order to function.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-relay-dbg
Section: oldlibs
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 isc-dhcp-dbg (= ${binary:Version}),
Description: ISC DHCP server for automatic IP address assignment (relay debug)
 This is the relay from the Internet Software Consortium's implementation of
 DHCP.
 .
 This is a transitional package that can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DHCLIENT_SCRIPT=/sbin/dhclient-script

CFLAGS+=-Wall
CFLAGS+=-I/usr/include/bind-export
CFLAGS+=-D_PATH_DHCLIENT_SCRIPT='"$(DHCLIENT_SCRIPT)"'
CFLAGS+=-D_PATH_DHCPD_CONF='"/etc/dhcp/dhcpd.conf"'
CFLAGS+=-D_PATH_DHCLIENT_CONF='"/etc/dhcp/dhclient.conf"'

CONFFLAGS=--prefix=/usr \
          --sysconfdir=/etc/dhcp \
          --with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
          --with-srv6-lease-file=/var/lib/dhcp/dhcpd6.leases \
          --with-cli-lease-file=/var/lib/dhcp/dhclient.leases \
          --with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases \

# cross-architecture building
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
CROSS=
endif

# hurd support
ifeq ($(DEB_HOST_ARCH_OS), hurd)
export DO_LPF=1
CONFFLAGS+=--enable-use-sockets
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:

override_dh_auto_build:
	# ldap-enabled build
	test -f Makefile && $(MAKE) distclean || true
	./configure --with-ldap --with-ldapcrypto $(CONFFLAGS)
	$(MAKE) $(CROSS)
	mv server/dhcpd dhcpd
	# ldap-disabled build
	test -f Makefile && $(MAKE) distclean || true
	./configure $(CONFFLAGS)
	$(MAKE) $(CROSS)

override_dh_install:
	dh_install
	cp debian/dhclient-script.$(DEB_HOST_ARCH_OS) \
	    debian/isc-dhcp-client$(DHCLIENT_SCRIPT)
	cp debian/dhclient-script.$(DEB_HOST_ARCH_OS).udeb \
	    debian/isc-dhcp-client-udeb$(DHCLIENT_SCRIPT)
	cp debian/rfc3442-classless-routes.$(DEB_HOST_ARCH_OS) \
	    debian/isc-dhcp-client/etc/dhcp/dhclient-exit-hooks.d/rfc3442-classless-routes
	cp contrib/dhcp-lease-list.pl \
	    debian/isc-dhcp-server/usr/sbin/dhcp-lease-list

override_dh_installinit:
	dh_installinit -Nisc-dhcp-server
	dh_installinit -pisc-dhcp-server --error-handler=init_script_error_handler

override_dh_strip:
	dh_strip --dbg-package=isc-dhcp-dbg

override_dh_clean:
	rm -rf bind
	dh_clean -- dhcpd config.*

## isc-dhcp 4.3.3

=== debian/changelog ===
isc-dhcp (4.3.3-8) unstable; urgency=medium

  * Fix typos in recent changes to the server init script.
  * Support server configurations still using INTERFACES (closes: #813339).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 13 Feb 2016 18:38:20 +0000

isc-dhcp (4.3.3-7) unstable; urgency=medium

  * Migrate to dbgsym debug packages.
  * Fix spelling error in changelog entry.
  * Include LDFLAGS in all calls to configure.
  * Fix relaying return packets (closes: #648401).
    - Thanks to Steinar H. Gunderson.
  * Fix cross-architecture building (closes: #812525).
    - Thanks to Helmut Grohne.
  * Initialize exit status in dhclient-script (closes: #800914).
  * Fix CVE-2015-8605: maliciously crafted IPv4 packet can cause any of the
    running DHCP applications to crash (closes: #810875).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 31 Jan 2016 01:31:59 +0000

isc-dhcp (4.3.3-6) experimental; urgency=medium

  * Fix missing build flags from the last upload.
  * Support IPv6 in the server init script (closes: #592539).
    - Thanks to Florent Fourcot and Ron Murray.
  * Don't assume an IPv6 prefix length of 64 (closes: #684009).
    - Thanks to Arne Nordmark.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 04 Oct 2015 03:24:47 +0000

isc-dhcp (4.3.3-5) unstable; urgency=medium

  * Add dependencies for the debug package.
  * Fix comments in the debug script (closes: #773804).
  * Add diversions for isc-dhcp-client-ddns (closes: #800749).
  * Fix directory output by the debug script (closes: #794770).
  * Fix exit code handling in dhclient-script (closes: #692846).
  * Escape parentheses in init script sed command (closes: #771530).
  * Add more IP address detail to dhclient output (closes: #486611).
  * Add dhcp6.fqdn and dhcp6.sntp-servers to the default request options.
  * Avoid infinite loop caused by misconfigured rfc3442-classless-static-routes
    (closes: #730294).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 03 Oct 2015 18:41:26 +0000

isc-dhcp (4.3.3-4) unstable; urgency=medium

  * Reenable NSUPDATE (closes: #798237).
  * Add a DDNS enabled dhclient package.
  * Include README file (closes: #791788).
  * Recommend rather than depend on policycoreutils.
  * Finish replacing macros in manpages (closes: #773801).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 20 Sep 2015 20:39:58 +0000

isc-dhcp (4.3.3-3) unstable; urgency=medium

  * Revert change to lease file paths (closes: #798177).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Sep 2015 16:47:39 +0000

isc-dhcp (4.3.3-2) unstable; urgency=medium

  * Use default paths for lease files.
  * Move omshell into the server package.
  * Avoid unnecessary libirs dependencies.
  * Recommend rather than depend isc-dhcp-common.
  * Disable NSUPDATE (closes: #712503).
  * Update translation (closes: #677918).
  * Enable pid file logging (closes: #792928).
  * Fix variables in manpages (closes: #570895).
  * Use a symlink for the debug script (closes: #794771).
  * Enable -user, -group, and -chroot server options (closes: #793490).
  * Avoid launching the server when its already running (closes: #704175).
  * Fix error when max lease time is used on 64-bit systems (closes: #795227).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Sep 2015 04:21:05 +0000

isc-dhcp (4.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Add uversionmangle to debian/watch.
  * Restore Enhances field for the ldap package (closes: #790164).
  * Add a logcheck snippet for the server package (closes: #688339).
    - Thanks to Jonathan Wiltshire.
  * Add DHCPv6 support to dhclient-script.linux.udeb (closes: #635897).
    - Thanks to Colin Watson.
  * Add policycoreutils dependency to isc-dhcp-server (closes: #797276).
  * Fix undefined variables in dhclient-script.kfreebsd (closes: #691090).
    - Thanks to Peter Marschall.
  * Avoid condition where hostname could be set to '(none)' (closes: #604883).
    - Thanks to Pavel Cahyna.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Sep 2015 19:20:42 +0000

isc-dhcp (4.3.2-1) unstable; urgency=medium

  * New upstream stable release.
    - Many fixes to incorrect checksumming (closes: #353161, #652739).
    - VLAN packets now only seen on VLAN interfaces (closes: #643564).
  * Remove references to old dhcp3 packages (closes: #773476).
  * Replace signing key with new upstream version.
  * Fix typo in debug script (closes: #781768).
  * Drop bind from the upstream tarball.
  * Drop transitional debug packages.
  * Drop dhcp3 conffile handling.
  * Update debian/copyright.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 10 May 2015 22:44:17 +0000

=== debian/control ===
Source: isc-dhcp
Section: net
Priority: important
Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>
Vcs-Git: git://anonscm.debian.org/pkg-dhcp/isc-dhcp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-dhcp/isc-dhcp.git;a=summary
Homepage: http://www.isc.org
Build-Depends:
 dpkg-dev (>= 1.13.2),
 debhelper (>= 9.20151220),
 dh-autoreconf,
 groff,
 pkg-config,
 po-debconf,
 libssl-dev,
 libldap2-dev,
 libbind-export-dev (>= 1:9.9.5.dfsg-4.3),
Standards-Version: 3.9.6

Package: isc-dhcp-server
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 lsb-base,
Recommends:
 isc-dhcp-common,
 policycoreutils,
Conflicts:
 dhcp,
 logcheck-database (<= 1.3.17~)
Breaks:
 isc-dhcp-common (<= 4.3.3-1),
Replaces:
 isc-dhcp-common (<= 4.3.3-1),
Suggests:
 isc-dhcp-server-ldap,
Description: ISC DHCP server for automatic IP address assignment
 This is the Internet Software Consortium's DHCP server.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This server can handle multiple ethernet interfaces.

Package: isc-dhcp-server-ldap
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-server (= ${binary:Version}),
Conflicts:
 dhcp,
Enhances: isc-dhcp-server
Description: DHCP server that uses LDAP as its backend
 This is the server from the Internet Software Consortium's implementation of
 DHCP.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This is the DHCP server with LDAP patches applied to it.

Package: isc-dhcp-common
Architecture: any
Depends:
 ${misc:Depends},
 debianutils (>= 2.8.2),
Description: common files used by all of the isc-dhcp packages
 This package includes all of the files that are used in common by the various
 ISC DHCP packages, such as the dhcp-eval and dhcp-options manpages and the
 OMAPI command shell.

Package: isc-dhcp-dev
Priority: optional
Architecture: any
Section: devel
Depends:
 ${misc:Depends},
 libc6-dev,
Description: API for accessing and modifying the DHCP server and client state
 This package provides support for OMAPI (Object Management Application
 Programming Interface), which is an API for accessing and modifying the DHCP
 server and client state.

Package: isc-dhcp-client
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 iproute2 [linux-any] | freebsd-net-tools [kfreebsd-any],
Recommends:
 isc-dhcp-common,
Suggests:
 resolvconf,
 avahi-autoipd,
 isc-dhcp-client-ddns,
Provides:
 dhcp-client,
Description: DHCP client for automatically obtaining an IP address
 This is the Internet Software Consortium's DHCP client.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-ddns
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 isc-dhcp-client (= ${binary:Version}),
Enhances: isc-dhcp-client
Description: Dynamic DNS (DDNS) enabled DHCP client
 This a Dynamic DNS enabled version of the DHCP client.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-udeb
Priority: extra
Architecture: any
Section: debian-installer
Depends:
 ${shlibs:Depends},
Package-Type: udeb
Description: ISC DHCP Client for debian-installer

Package: isc-dhcp-relay
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
Recommends:
 isc-dhcp-common,
Conflicts:
 dhcp-relay,
Description: ISC DHCP relay daemon
 This is the Internet Software Consortium's DHCP relay.
 .
 Installing this package will make the machine a DHCP relay, which
 requires a reachable DHCP or BOOTP server in order to function.
 .
 Extra documentation can be found in the package isc-dhcp-common.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

LEASE_PATH=/var/lib/dhcp
DHCLIENT_SCRIPT=/sbin/dhclient-script

CFLAGS+=-Wall
CFLAGS+=-I/usr/include/bind-export
CFLAGS+=$(shell dpkg-buildflags --get CFLAGS)

CFLAGS+=-D_PATH_DHCPD_CONF='\"/etc/dhcp/dhcpd.conf\"'
CFLAGS+=-D_PATH_DHCPD_DB='\"$(LEASE_PATH)/dhcpd.leases\"'
CFLAGS+=-D_PATH_DHCPD6_DB='\"$(LEASE_PATH)/dhcpd6.leases\"'

CFLAGS+=-D_PATH_DHCLIENT_SCRIPT='\"$(DHCLIENT_SCRIPT)\"'
CFLAGS+=-D_PATH_DHCLIENT_CONF='\"/etc/dhcp/dhclient.conf\"'
CFLAGS+=-D_PATH_DHCLIENT_DB='\"$(LEASE_PATH)/dhclient.leases\"'
CFLAGS+=-D_PATH_DHCLIENT6_DB='\"$(LEASE_PATH)/dhclient6.leases\"'

CONFFLAGS=--prefix=/usr --enable-log-pid --enable-paranoia

# cross-architecture building
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CONFFLAGS+=--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

# hurd support
ifeq ($(DEB_HOST_ARCH_OS), hurd)
export DO_LPF=1
CONFFLAGS+=--enable-use-sockets
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:

override_dh_auto_build:
	# ldap-enabled build
	test -f Makefile && $(MAKE) distclean || true
	./configure --with-ldap --with-ldapcrypto CFLAGS="$(CFLAGS) -DNSUPDATE" LDFLAGS="-lirs-export $(LDFLAGS)" $(CONFFLAGS)
	$(MAKE)
	mv server/dhcpd dhcpd
	# ddns-disabled build
	test -f Makefile && $(MAKE) distclean || true
	./configure CFLAGS="$(CFLAGS)" $(CONFFLAGS)
	$(MAKE)
	mv client/dhclient dhclient
	# ldap-disabled build
	test -f Makefile && $(MAKE) distclean || true
	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" LDFLAGS="-lirs-export $(LDFLAGS)" $(CONFFLAGS)
	$(MAKE)

override_dh_install:
	dh_install
	# rename scripts
	cp debian/dhclient-script.$(DEB_HOST_ARCH_OS) \
	    debian/isc-dhcp-client$(DHCLIENT_SCRIPT)
	cp debian/dhclient-script.$(DEB_HOST_ARCH_OS).udeb \
	    debian/isc-dhcp-client-udeb$(DHCLIENT_SCRIPT)
	cp debian/rfc3442-classless-routes.$(DEB_HOST_ARCH_OS) \
	    debian/isc-dhcp-client/etc/dhcp/dhclient-exit-hooks.d/rfc3442-classless-routes
	cp contrib/dhcp-lease-list.pl \
	    debian/isc-dhcp-server/usr/sbin/dhcp-lease-list
	# use actual paths rather than undefined variables in man pages
	sed -e 's|ETCDIR|/etc/dhcp|g' \
	    -e 's/RUNDIR/\/var\/run/g' \
	    -e 's/CLIENTBINDIR/\/sbin/g' \
	    -e 's/DBDIR/\/var\/lib\/dhcp/g' \
	    -i debian/tmp/usr/share/man/man*/*

override_dh_installinit:
	dh_installinit -Nisc-dhcp-server
	dh_installinit -pisc-dhcp-server --error-handler=true

override_dh_strip:
	# this can be removed once stretch is released
	dh_strip --ddeb-migration='isc-dhcp-dbg (<< 4.3.3-7~)'

## isc-dhcp 4.3.3-5ubuntu12+8.0trisquel1

=== debian/changelog ===
isc-dhcp (4.3.3-5ubuntu12+8.0trisquel1) flidas; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Jun 2016 16:20:29 +0000

isc-dhcp (4.3.3-5ubuntu12) xenial; urgency=medium

  * debian/apparmor/sbin.dhclient: Add the attach_disconnected flag to prevent
    disconnected path denials as seen with the new 1.1.93 based
    network-manager (LP: #1568485)

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 13 Apr 2016 10:02:12 -0500

isc-dhcp (4.3.3-5ubuntu11) xenial; urgency=medium

  * No change upload for rebuild

 -- LaMont Jones <lamont@canonical.com>  Fri, 18 Mar 2016 10:36:57 -0600

isc-dhcp (4.3.3-5ubuntu10) xenial; urgency=low

  [ Stefan Bader ]
  * Revert back to bind against bind9 export libraries
    (LP: #1556175, LP: #1551351)

  [ LaMont Jones ]
  * libirs-export requires libisccfg-export now

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 17 Mar 2016 17:45:53 +0100

isc-dhcp (4.3.3-5ubuntu9) xenial; urgency=medium

  * debian/isc-dhcp-server.isc-dhcp-server{,6}.service: adjust permissions
    for most recent PARANOIA commits to avoid granting 'capability
    dac_override' in the AppArmor profile on second and subsequent starts
    (LP: #1543794):
    - /var/lib/dhcp is root:dhcpd and 775
    - /var/lib/dhcp/dhcpd{,6}.leases is root:dhcpd and 664
    - don't chown /run/dhcp-server to dhcpd:dhcpd since the pid file is now
      created as root:root and the pid file was not being created before. If
      this needs to be reintroduced in the future, use root:dhcpd and 775,
      like with the leases file.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 01 Mar 2016 08:19:43 -0600

isc-dhcp (4.3.3-5ubuntu8) xenial; urgency=medium

  * debian/apparmor/sbin.dhclient: include the openssl abstraction
    (LP: #1543794)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 25 Feb 2016 08:32:37 -0600

isc-dhcp (4.3.3-5ubuntu7) xenial; urgency=medium

  * Link with the non-export bind9 libraries.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 13:19:29 +0100

isc-dhcp (4.3.3-5ubuntu6) xenial; urgency=medium

  * isc-dhcp-server: Suggest policycoreutils instead of recommending it.
  * Build-depend on libbind-dev instead of libbind-export-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 13:02:25 +0100

isc-dhcp (4.3.3-5ubuntu5) xenial; urgency=medium

  * No-change rebuild using the updated bind9.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 23:17:52 +0100

isc-dhcp (4.3.3-5ubuntu4) xenial; urgency=medium

  * Allow chown - PARANOIA means that dhcpd tries to chown the leases file
    for later use. LP: #1537789

 -- LaMont Jones <lamont@canonical.com>  Mon, 25 Jan 2016 12:17:39 -0700

isc-dhcp (4.3.3-5ubuntu2) xenial; urgency=medium

  * Correct my previous upload: Create the initial leases file if it doesn't
    exist when isc-dhcp-server or isc-dhcp-server6 are started, because it
    won't do it by itself. (LP: #1535952)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 20 Jan 2016 13:24:59 -0500

isc-dhcp (4.3.3-5ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Apparmor profiles for dhclient and dhcpd.
    - Create user/group dhcpd.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Sanitize environment in dhclient-script.linux.
    - Wait for /etc/resolv.conf to be writable in dhclient-script.linux.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of /etc/dhcp/dhcpd.conf
    - Add an 'option subnet-mask' example to config.
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Upstart jobs for isc-dhcp-server, isc-dhcp-server6, isc-dhcp-relay and
      isc-dhcp-relay6.
    - Separate default file for isc-dhcp-relay6.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + revert-next-server.
      + multi-ip-addr-per-if.
      + dhclient-safer-timeout.
      + onetry_retry_after_initial_success.
      + dhcp-getifaddrs.patch
      + dhcp-lpf-ib.patch
      + dhcp-improved-xid.patch
      + dhcp-gpxe-cid.patch
      + dhcp-improved-xid-correct-byte-order.patch
      + CVE-2015-8605.patch
  * debian/patches/CVE-2015-8605.patch: refreshed for 4.3.3.
  * debian/patches/system-bind.patch: add -lirs-export to linking libraries
    for dhclient, dhcpd, omshell and dhcrelay since omapip now requires it.
  * debian/isc-dhcp-server*.{upstart,service}: don't chown lease files, since
    the permissions handling in paranoia mode is now done correctly so that
    dhcpd can rotate them. (LP: #1186662)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 13 Jan 2016 15:41:45 -0500

isc-dhcp (4.3.1-5ubuntu5) xenial; urgency=medium

  * SECURITY UPDATE: denial of service via incorrect UDP payload length
    - debian/patches/CVE-2015-8605.patch: properly check payload length in
      common/packet.c.
    - CVE-2015-8605

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Jan 2016 08:43:37 -0500

isc-dhcp (4.3.1-5ubuntu4) xenial; urgency=medium

  [ John Johansen ]
  * debian/apparmor/sbin.dhclient: fix signal rule typo in nm-dhcp-helper
    profile (LP: #1515818)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 13 Nov 2015 08:16:54 -0600

isc-dhcp (4.3.1-5ubuntu3) wily; urgency=medium

  [ Rafael David Tinoco (Inaddy) ]
  * replaced broken IB support with working one (LP: #1401141)
  * removed:
    - d/p/infiniband_lpf
    - d/p/infiniband_improved_xid
  * added: 
    + d/p/dhcp-lpf-ib.patch
    + d/p/dhcp-improved-xid.patch
    + d/p/dhcp-gpxe-cid.patch
    + d/p/dhcp-improved-xid-correct-byte-order.patch

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 11 May 2015 14:23:41 -0400

isc-dhcp (4.3.1-5ubuntu2.1) vivid-proposed; urgency=medium



## isc-dhcp 4.3.3-5ubuntu12.9+8.0trisquel1

=== debian/changelog ===
isc-dhcp (4.3.3-5ubuntu12.9+8.0trisquel1) flidas-security; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 02 Mar 2018 11:25:38 +0000

isc-dhcp (4.3.3-5ubuntu12.9) xenial-security; urgency=medium

  * SECURITY UPDATE: DoS via concurrent TCP sessions
    - debian/patches/CVE-2016-2774.patch: limit number of connections in
      includes/site.h, omapip/listener.c.
    - CVE-2016-2774
  * SECURITY UPDATE: DoS via omapi
    - debian/patches/CVE-2018-573x.patch: fix socket descriptor leak in
      omapip/buffer.c, omapip/message.c.
    - CVE-2017-3144
  * SECURITY UPDATE: buffer overflow in dhclient
    - debian/patches/CVE-2018-573x.patch: check option data size in
      common/options.c, add tests to common/tests/Makefile.am,
      common/tests/option_unittest.c.
    - CVE-2018-5732
  * SECURITY UPDATE: reference counter overflow in dhcpd
    - debian/patches/CVE-2018-573x.patch: avoid overflow in
      common/options.c.
    - CVE-2018-5733
  * This package does _not_ contain the changes from 4.3.3-5ubuntu12.8 in
    xenial-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Mar 2018 08:20:48 -0500

isc-dhcp (4.3.3-5ubuntu12.7) xenial; urgency=medium

  * debian/control : Add "Replaces:" option for package isc-dhcp-client 
    to allow the packaging system to remove "isc-dhcp-client-noddns" on 
    systems on which it is installed and replace it by "isc-dhcp-client" 
    during a release upgrade from Trusty to Xenial. (LP: #1176046)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 01 Feb 2017 08:36:18 -0500

isc-dhcp (4.3.3-5ubuntu12.6) xenial; urgency=medium

  * debian/initramfs/lib/etc/dhcp/dhclient-enter-hooks.d/config: clean up
    script to remove IPv4 bits that would never be called; since for this SRU
    we only do IPv6. (LP: #1621507)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 08 Dec 2016 17:43:34 +0100

isc-dhcp (4.3.3-5ubuntu12.5) xenial; urgency=medium

  * debian/initramfs/lib/etc/dhcp/dhclient-enter-hooks.d/config: fix script to
    not write to /run/net-$iface.conf when dealing with IPv6; which should only
    write to a /run/net6-$iface.conf file. (LP: #1621507)
  * debian/README.Debian: document what this config script is and why a hook is
    shipped for the initramfs.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 04 Nov 2016 10:57:07 -0600

isc-dhcp (4.3.3-5ubuntu12.4) xenial; urgency=medium

  * ipv6: wait for duplicate address detection to finish (LP: #1633479).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 31 Oct 2016 14:32:14 -0400

isc-dhcp (4.3.3-5ubuntu12.3) xenial; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * debian/isc-dhcp-client.install: install new files for initramfs-tools
    to their proper locations; from debian/initramfs-tools. (LP: #1621507)

 -- LaMont Jones <lamont@ubuntu.com>  Fri, 23 Sep 2016 15:09:46 -0600

isc-dhcp (4.3.3-5ubuntu12.2) xenial; urgency=medium

  * Don't assume IPv6 prefix length of 64 (LP: #1609898).
    Pulled from debian commit c347ab8a43587164486ce1f104eedfd638594e59.

 -- Dan Streetman <dan.streetman@canonical.com>  Thu, 04 Aug 2016 13:07:23 -0400

isc-dhcp (4.3.3-5ubuntu12.1) xenial; urgency=medium

  * Fixed missing broadcast flag for Infiniband interfaces (LP: #1529815)
  - added:
    + d/p/dhcp-4.2.4-dhclient-options-changed.patch 

 -- Rafael David Tinoco (Inaddy) <rafael.tinoco@canonical.com>  Wed, 08 Jun 2016 10:51:06 +0200

## isc-dhcp 4.3.3-5ubuntu12.10+8.0trisquel1

=== debian/changelog ===
isc-dhcp (4.3.3-5ubuntu12.10+8.0trisquel1) flidas; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 16 Mar 2018 11:33:20 +0000

isc-dhcp (4.3.3-5ubuntu12.10) xenial; urgency=medium

  * dhclient-script.linux: handle empty case also when waiting for ipv6 link
    local DAD. (LP: #1718568)

 -- Dan Streetman <dan.streetman@canonical.com>  Fri, 02 Mar 2018 13:16:05 -0500

## isc-dhcp 4.3.5

=== doc/Makefile ===
# Copyright (c) 2004-2006,2009 by Internet Systems Consortium, Inc. ("ISC")
# Copyright (c) 1995-2003 by Internet Software Consortium
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS.  IN NO EVENT SHALL ISC BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
# OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
#   Internet Systems Consortium, Inc.
#   950 Charter Street
#   Redwood City, CA 94063
#   <info@isc.org>
#   https://www.isc.org/

all: References.txt References.html

References.txt: References.xml
	xml2txt References.xml

References.html: References.xml
	xml2html References.xml

devel:
	mkdir -p html
	doxygen devel/doxyfile > html/doxygen.log 2>html/doxygen-warnings.log

cppcheck:
	mkdir -p html
	cd .. && cppcheck --enable=all --inline-suppr \
          -f -v -j 2  -i tests/ -i dhcp-*/ \
          . 1> doc/html/cppcheck.log 2> doc/html/cppcheck-error.log

#       cppcheck can be extended with list of suppressions.
#          --suppressions-list=doc/cppcheck-skip.txt \


.PHONY: devel cppcheck

=== debian/changelog ===
isc-dhcp (4.3.5-3.2) unstable; urgency=medium

  * comment out prepend domain-name-servers 127.0.0.1; in dhclient.conf

 -- anticapitalista <antix@operamail.com>  Tue, 03 Oct 2017 13:38:37 +0300

isc-dhcp (4.3.5-3.1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Wed, 20 Sep 2017 00:47:17 +0100

isc-dhcp (4.3.5-3) unstable; urgency=medium

  * Add support for read-only /etc (closes: #642544).
    - Thanks to Scott Moser.
  * Wait for /etc/resolv.conf to become writable (closes: #687337).
    - Thanks to Stéphane Graber.
  * Suggest policykit-1 instead of depending on it (closes: #850726).
  * Fix typo in --with-randomdev configure argument (closes: #838382).
  * Touch dhcpd6.leases before starting an ipv6 server (closes: #824770).
    - Thanks to Terry Burton.
  * Use getifaddrs() system call to handle alias interfaces (closes: #605657).
    - Thanks to Jiri Popelka.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 09 Jan 2017 04:55:32 +0000

isc-dhcp (4.3.5-2) unstable; urgency=medium

  * Fix new upstream spelling errors.
  * Add policykit-1 dependency to the server package (closes: #816325).
  * Parse IPv6 server process id from the correct file (closes: #841766).
  * Initialize all local variables in dhclient scripts (closes: #849100).
  * Pass random device to configure when cross building (closes: #838382).
    - Thanks to Helmut Grohne.
  * Don't wait for a reply that will never come when releasing an ipv6 address
    (closes: #769189).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 08 Jan 2017 23:11:52 +0000

isc-dhcp (4.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Add lsb-base dependency to isc-dhcp-relay.
  * Use the original author's dhcp-lease-list manpage.
  * Correct the description of the common package (closes: #832782).
  * If no interfaces have been specified, start servers for both IPv4 and IPv6
    (closes: #815319).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Nov 2016 06:44:09 +0000

isc-dhcp (4.3.5~b1-1) unstable; urgency=medium

  * New upstream beta release.
  * Fix some lintian warnings.
  * Increase standards version.
  * Update version control fields.
  * Fix new upstream spelling mistakes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Sep 2016 22:59:15 +0000

isc-dhcp (4.3.4-1) unstable; urgency=medium

  * New upstream stable release (closes: #817158).
  * Touch dhcpd.leases in the server init script (closes: 765910).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 05 Apr 2016 03:27:34 +0000

isc-dhcp (4.3.4~b1-1) experimental; urgency=medium

  * New upstream beta release:
    - Fix CVE-2016-2774: limit the number of server TCP connections to 200.
  * Link against bind 9.10.3.
  * Include a manpage for dhcp-lease-list.
  * Fix an error in the dhcpd.conf manpage.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Mar 2016 01:55:17 +0000

isc-dhcp (4.3.3-9) unstable; urgency=medium

  * Update standards version.
  * Drop manpage hyphens patch.
  * Install upstream changelogs.
  * Install an example dhcpd6.conf file.
  * Install upstream's README file (closes: #791788).
  * Fix incorrect path in dhcp-lease-list script (closes: #814693).
  * Add a status option to the relay init stript (closes: #726604).
  * Check IPv4 and IPv6 server status independently (closes: #815180).
  * Use /etc/dhcp/dhcpd6.conf for the IPv6 server settings (closes: #816008).
  * Touch dhcpd.leases during postinst if it doesn't exist (closes: #765910).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Feb 2016 20:38:52 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: important
 Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
 Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>
-Vcs-Git: git://anonscm.debian.org/pkg-dhcp/isc-dhcp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-dhcp/isc-dhcp.git;a=summary
+Vcs-Git: https://anonscm.debian.org/pkg-dhcp/isc-dhcp.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-dhcp/isc-dhcp.git;a=summary
 Homepage: http://www.isc.org
 Build-Depends:
  dpkg-dev (>= 1.13.2),
@@ -15,8 +15,8 @@
  po-debconf,
  libssl-dev,
  libldap2-dev,
- libbind-export-dev (>= 1:9.9.5.dfsg-4.3),
-Standards-Version: 3.9.6
+ libbind-export-dev (>= 1:9.10.3.dfsg.P4-2),
+Standards-Version: 3.9.8
 
 Package: isc-dhcp-server
 Priority: optional
@@ -29,14 +29,13 @@
 Recommends:
  isc-dhcp-common,
  policycoreutils,
-Conflicts:
- dhcp,
- logcheck-database (<= 1.3.17~)
 Breaks:
  isc-dhcp-common (<= 4.3.3-1),
+ logcheck-database (<= 1.3.17~)
 Replaces:
  isc-dhcp-common (<= 4.3.3-1),
 Suggests:
+ policykit-1,
  isc-dhcp-server-ldap,
 Description: ISC DHCP server for automatic IP address assignment
  This is the Internet Software Consortium's DHCP server.
@@ -75,10 +74,12 @@
 Depends:
  ${misc:Depends},
  debianutils (>= 2.8.2),
-Description: common files used by all of the isc-dhcp packages
- This package includes all of the files that are used in common by the various
- ISC DHCP packages, such as the dhcp-eval and dhcp-options manpages and the
- OMAPI command shell.
+Description: common manpages relevant to all of the isc-dhcp packages
+ This package includes manpages that are relevant to the various ISC DHCP
+ packages.
+ .
+ The dhcp-options manpage describes available options for dhcpd and dhclient.
+ The dhcp-eval manpage describes evaluation of conditional expressions.
 
 Package: isc-dhcp-dev
 Priority: optional
@@ -156,6 +157,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ lsb-base (>= 3.0-6),
  debianutils (>= 2.8.2),
 Recommends:
  isc-dhcp-common,

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 # cross-architecture building
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CONFFLAGS+=--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+CONFFLAGS+=--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --with-randomdev=/dev/random
 endif
 
 # hurd support
@@ -58,6 +58,11 @@
 	$(MAKE)
 
 override_dh_install:
+	# rename some upstream files
+	cp RELNOTES debian/tmp/changelog
+	cp server/dhcpd.conf.example debian/tmp/dhcpd.conf
+	cp doc/examples/dhcpd-dhcpv6.conf debian/tmp/dhcpd6.conf
+	# install
 	dh_install
 	# rename scripts
 	cp debian/dhclient-script.$(DEB_HOST_ARCH_OS) \
